summaryrefslogtreecommitdiffstats
path: root/Utilities/Scripts
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2016-08-31 13:19:31 (GMT)
committerCMake Topic Stage <kwrobot@kitware.com>2016-08-31 13:19:31 (GMT)
commit6f8b93983a3bfb4a9262cae8e9b989edb61e8a4b (patch)
treea430cba0fcb321a72db0a5f5414f36ddf0268585 /Utilities/Scripts
parent59d559af2e35d3521c7cffc4a0c7c33ffaf2c744 (diff)
parent39ac889d636ee8ce083e00ab2c8351c6148150ef (diff)
downloadCMake-6f8b93983a3bfb4a9262cae8e9b989edb61e8a4b.zip
CMake-6f8b93983a3bfb4a9262cae8e9b989edb61e8a4b.tar.gz
CMake-6f8b93983a3bfb4a9262cae8e9b989edb61e8a4b.tar.bz2
Merge topic 'import-libuv'
39ac889d cmake: Add trivial usage of libuv 7cf369fe Do not build libuv on HP-UX 075cae51 Do not build libuv on SPARC 9a53af40 Do not build libuv on Cygwin 219f7411 Do not build libuv on Mac OS X 10.4 and lower 8a5beef3 Add option to build CMake against a system libuv e56aa462 FindLibUV: Add module to find libuv package 551d5aed libuv: Fix unused variable warning in uv_loop_close f4f8074b libuv: Avoid including macOS CoreServices header globally a63aaaed libuv: Always include our own header first 9130b53a libuv: Conditionally declare Windows APIs for VS 2008 and below b52afa46 libuv: Fix anonymous union syntax 05dbc204 libuv: Fix Windows API function typedef syntax 75139374 libuv: Install LICENSE file with CMake documentation 95dcc4e4 libuv: Disable warnings to avoid changing 3rd party code 13b7e758 libuv: Build the library within CMake ...
Diffstat (limited to 'Utilities/Scripts')
-rwxr-xr-xUtilities/Scripts/update-libuv.bash26
1 files changed, 26 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-libuv.bash b/Utilities/Scripts/update-libuv.bash
new file mode 100755
index 0000000..d7a7d1f
--- /dev/null
+++ b/Utilities/Scripts/update-libuv.bash
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="libuv"
+readonly ownership="libuv upstream <libuv@googlegroups.com>"
+readonly subtree="Utilities/cmlibuv"
+readonly repo="https://github.com/libuv/libuv.git"
+readonly tag="v1.x"
+readonly shortlog=false
+readonly paths="
+ LICENSE
+ include
+ src
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ echo "* -whitespace" > .gitattributes
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"